version: 1
formatters:
  simple:
    format: "%(asctime)s - %(name)s - %(levelname)s - %(message)s"

handlers:
  console:
    class: logging.StreamHandler
    level: INFO
    formatter: simple
    stream: ext://sys.stdout

  file_handler:
    class: logging.handlers.RotatingFileHandler
    level: DEBUG
    formatter: simple
    filename: app.log
    maxBytes: 10485760  # 10MB
    backupCount: 5

root:
  level: INFO
  handlers: [console, file_handler]

loggers:
  fastapi:
    level: DEBUG
    handlers: [console]
    propagate: no

  uvicorn:
    level: DEBUG
    handlers: [console]
    propagate: no

  your_module_name:
    level: DEBUG
    handlers: [console, file_handler]
    propagate: yes
